import request from '@/utils/request'

// 查询文章列表
export function listArticle(query) {
  return request({
    url: '/admin/article/list',
    method: 'get',
    params: query
  })
}

// 查询文章详细
export function getArticle(articleId) {
  return request({
    url: '/admin/article/' + articleId,
    method: 'get'
  })
}

// 新增文章
export function addArticle(data) {
  return request({
    url: '/admin/article',
    method: 'post',
    data: data
  })
}

// 修改文章
export function updateArticle(data) {
  return request({
    url: '/admin/article',
    method: 'put',
    data: data
  })
}

// 删除文章
export function delArticle(articleId) {
  return request({
    url: '/admin/article/' + articleId,
    method: 'delete'
  })
}

// 查询分类下拉树结构
export function classifyTreeSelect() {
  return request({
    url: '/admin/article/classifyTree',
    method: 'get'
  })
}

